
import SwiftUI

struct ContentView: View {
   var body: some View {
      Canvas { context, size in
         var copyContext = context
         copyContext.translateBy(x: size.width/2, y: size.height/2)
         copyContext.rotate(by: .degrees(45))
         let imageFrame = CGRect(x: -85, y: -108, width: 161, height: 216)
         copyContext.draw(Image("spot1"), in: imageFrame)

         let center = size.width/2
         let rectFrame = CGRect(x: center - 125, y: 160, width: 250, height: 40)
         context.fill(RoundedRectangle(cornerRadius: 25).path(in: rectFrame), with: .color(.yellow))

         let textPos = CGPoint(x: center, y: 180)
         context.draw(Text("My Picture").font(.title.bold()), at: textPos, anchor: .center)
      }.ignoresSafeArea()
   }
}
struct ContentView_Previews: PreviewProvider {
   static var previews: some View {
      ContentView()
   }
}

